#pragma once

#include <library/cpp/containers/flat_hash/flat_hash.h>


namespace NModLogHeaders {

class TCookieMasker final {
public:
    TCookieMasker();

    bool ShouldMask(const TStringBuf& key) const;
    void MaskCookieParam(TString& value) const;

private:
    NFH::TFlatHashSet<TString> SecretKeys_;
};

}